## swfmill 0.3.1

=== debian/changelog ===
swfmill (0.3.1-3build1) precise; urgency=low

  * No-change rebuild to drop spurious libsfgcc1 dependency on armhf.

 -- Adam Conrad <adconrad@0c3.net>  Fri, 02 Dec 2011 21:25:11 -0700

swfmill (0.3.1-3) unstable; urgency=low

  * Added patch to build against with libpng 1.5. Closes: #636008
    Thanks to Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
  * Upgraded Standards-Version from 3.9.1 to 3.9.2

 -- Miriam Ruiz <little_miry@yahoo.es>  Mon, 15 Aug 2011 10:48:44 +0200

swfmill (0.3.1-2) unstable; urgency=low

  * Uploading package to unstable.
  * Added -lz to LDFLAGS. Closes: #618103
  * Upgraded to Debian source package 3.0
  * Set the Debian Flash Team as Maintainer

 -- Miriam Ruiz <little_miry@yahoo.es>  Wed, 16 Mar 2011 20:37:33 +0100

swfmill (0.3.1-1) experimental; urgency=low

  * New Upstream Release
  * Upgraded Standards-Version from 3.8.3 to 3.9.1
  * Added to Build-Depends: quilt
  * Due to some error, some files are missing in upstream's tarball.
    Added them through missing_files.patch

 -- Miriam Ruiz <little_miry@yahoo.es>  Wed, 18 Aug 2010 20:40:48 +0200

swfmill (0.3.0-1) unstable; urgency=low

  * New Upstream Release
  * Closes: #560448 (FTBFS)
  * debian/control: Removed dependency: quilt (no patches needed)
  * debian/control: Added dependency: xsltproc
  * debian/control: Upgraded Standards-Version from 3.7.3 to 3.8.3
  * debian/rules: Do not ignore make clean errors
  * debian/watch: Fixed watch file. Closes: #450089
    Thanks to Yan Morin <progysm@gmail.com>

 -- Miriam Ruiz <little_miry@yahoo.es>  Mon, 18 Jan 2010 11:45:10 +0100

swfmill (0.2.12-2) unstable; urgency=low

  * Acknowledged NMU.
  * Removed bashism in debian/rules (Closes: #484443)
  * Added quilt to build dependencies.
  * Upgraded Standards-Version to 3.7.3
  * Added Homepage section to debian/control

 -- Miriam Ruiz <little_miry@yahoo.es>  Fri, 06 Jun 2008 10:49:07 +0000

swfmill (0.2.12-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix gcc-4.3 FTBFS, patch by KiBi (Closes: #455454)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Sun, 16 Mar 2008 19:13:27 +0100

swfmill (0.2.12-1) unstable; urgency=low

  * Initial release (Closes: #326930)

 -- Miriam Ruiz <little_miry@yahoo.es>  Wed, 14 Mar 2007 14:55:11 +0100
