## swfmill 0.3.2

=== debian/changelog ===
swfmill (0.3.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/freetype.patch: Fix freetype include to work with recent
    versions of freetype. Thanks to Juhani Numminen for the patch. (Closes:
    #733356)

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 17 Jan 2014 19:59:16 +0100

swfmill (0.3.2-1) unstable; urgency=low

  * New upstream release
  * Build-Depends on libpng-dev instead of libpng12-dev. Closes: #662516
  * Upgraded Standards-Version from 3.9.2 to 3.9.3
  * Refreshed patches

 -- Miriam Ruiz <little_miry@yahoo.es>  Mon, 05 Mar 2012 21:26:37 +0100
