=== debian/control ===
Source: swfmill
Priority: optional
Maintainer: Debian Flash Team <pkg-flash-devel@lists.alioth.debian.org>
Uploaders: Miriam Ruiz <little_miry@yahoo.es>
Build-Depends: debhelper (>= 5), quilt, autotools-dev, pkg-config, help2man,
 xsltproc, libxml2-dev, libxslt1-dev, zlib1g-dev, libfreetype6-dev, 
 libpng-dev | libpng12-dev
Standards-Version: 3.9.3
Section: libs
Homepage: http://www.swfmill.org/
Vcs-Svn: svn://svn.debian.org/svn/pkg-flash/packages/swfmill/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-flash/packages/swfmill/trunk

Package: swfmill
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: mtasc
Description: xml2swf and swf2xml processor
 swfmill is a tool to process Shockwave Flash(TM) (SWF) files. It can
 convert SWF from and to an XML-dialect called swfml, which is closely
 modeled after the SWF file format.
 .
 Apart from this xml2swf and swf2xml functionality, it also provides a
 libxslt-based XSL transformator that supports an extension ("swft")
 which helps with generating IDs for SWF objects and can import an SWF as
 XML using an XPath command (swft:document()).
 .
 As a simple application of such functionality, swfmill can pack together
 a bunch of media files (currently JPGs, PNGs, TTFs and other SWFs) into
 an SWF as "library objects" for your attachMovie() pleasure.
