=== debian/rules ===
--- 
+++ 
@@ -44,8 +44,12 @@
 		LDFLAGS="-Wl,-z,defs -Wl,--as-needed -Wl,--no-undefined -lz"
 	touch $@
 
+build-indep:
+
+build-arch: build-stamp
+
 build: build-stamp
-build-stamp:  config-stamp
+build-stamp: config-stamp
 	dh_testdir
 	$(MAKE)
 	touch $@
@@ -96,4 +100,4 @@
 	dh_builddeb
 
 binary: binary-indep binary-arch
-.PHONY: config build clean binary-indep binary-arch binary install 
+.PHONY: config build-indep build-arch build clean binary-indep binary-arch binary install
