## swfmill 0.3.3

=== debian/changelog ===
swfmill (0.3.3-1) unstable; urgency=medium

  * New upstream release
  * Upgraded compat level to 9
  * Upgraded Standards-Version from 3.9.3 to 3.9.8
  * debian/rules: using dh_prep instead of dh_clean -k
  * Using Hardening Options. See https://wiki.debian.org/Hardening
  * swfmill_gcc-6.1.patch: Fixed FTBFS with GCC 6. Closes: #811726
  * debian/control: Dropped Build-Depends on libpng12-dev: Closes: #810206

 -- Miriam Ruiz <miriam@debian.org>  Thu, 19 May 2016 02:25:00 +0200
