=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: swfmill
 Priority: optional
 Maintainer: Debian Flash Team <pkg-flash-devel@lists.alioth.debian.org>
-Uploaders: Miriam Ruiz <little_miry@yahoo.es>
-Build-Depends: debhelper (>= 5), quilt, autotools-dev, pkg-config, help2man,
- xsltproc, libxml2-dev, libxslt1-dev, zlib1g-dev, libfreetype6-dev, 
- libpng-dev | libpng12-dev
-Standards-Version: 3.9.3
+Uploaders: Miriam Ruiz <miriam@debian.org>
+Build-Depends: debhelper (>= 9), quilt, autotools-dev, pkg-config, help2man,
+ xsltproc, libxml2-dev, libxslt1-dev, zlib1g-dev, libfreetype6-dev, libpng-dev
+Standards-Version: 3.9.8
 Section: libs
 Homepage: http://www.swfmill.org/
 Vcs-Svn: svn://svn.debian.org/svn/pkg-flash/packages/swfmill/trunk
