## swfmill 0.3.6

=== debian/changelog ===
swfmill (0.3.6-1) unstable; urgency=medium

  * New upstream release
  * Set myself as the maintainer again. Closes: #899697
  * Upgraded Standards-Version from 3.9.8 to 4.2.1.2
  * Removed suggestion for mtasc (obsolete)

 -- Miriam Ruiz <miriam@debian.org>  Sat, 13 Oct 2018 04:54:02 +0200
