=== debian/control ===
--- 
+++ 
@@ -1,20 +1,16 @@
 Source: swfmill
 Priority: optional
-Maintainer: Debian Flash Team <pkg-flash-devel@lists.alioth.debian.org>
-Uploaders: Miriam Ruiz <miriam@debian.org>
+Maintainer: Miriam Ruiz <miriam@debian.org>
 Build-Depends: debhelper (>= 9), quilt, autotools-dev, pkg-config, help2man,
  xsltproc, libxml2-dev, libxslt1-dev, zlib1g-dev, libfreetype6-dev, libpng-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.2.1.2
 Section: libs
 Homepage: http://www.swfmill.org/
-Vcs-Svn: svn://svn.debian.org/svn/pkg-flash/packages/swfmill/trunk
-Vcs-Browser: http://svn.debian.org/viewsvn/pkg-flash/packages/swfmill/trunk
 
 Package: swfmill
 Section: utils
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Suggests: mtasc
 Description: xml2swf and swf2xml processor
  swfmill is a tool to process Shockwave Flash(TM) (SWF) files. It can
  convert SWF from and to an XML-dialect called swfml, which is closely
