=== debian/watch ===
# watch control file for uscan
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# Examine a Webpage 
# <Webpage URL> <string match>
http://swfmill.org/releases/ ./swfmill-([\d\.]*)\.tar\.gz
